#!/bin/bash

echo
echo "======================================="
echo " IPA fonts"
echo

mkdir /tmp/IPA
pushd /tmp/IPA >/dev/null

wget http://www.grass-japan.org/FOSS4G/ipafonts/grass5.0.3_i686-pc-linux-i18n-ipafull-gnu_bin.tar.gz
tar zxf grass5.0.3_i686-pc-linux-i18n-ipafull-gnu_bin.tar.gz
cp fonts/*.ttf /usr/share/fonts/japanese/TrueType/

popd >/dev/null
rm -rf /tmp/IPA

echo
echo "======================================="
echo " Kochi fonts"
echo

mkdir /tmp/kochi
pushd /tmp/kochi >/dev/null

wget http://keihanna.dl.sourceforge.jp/efont/5411/kochi-substitute-20030809.tar.bz2
tar jxf kochi-substitute-20030809.tar.bz2
cd kochi-substitute-20030809
cp kochi-*.ttf /usr/share/fonts/japanese/TrueType

popd >/dev/null
rm -rf /tmp/kochi

echo
echo "======================================="
echo " make fonts.dir, fonts.scale"
echo

pushd /usr/share/fonts/japanese/TrueType/ >/dev/null
chmod 644 *.ttf
rm -f fonts.dir
rm -f fonts.scale
ttmkfdir
mkfontdir

popd >/dev/null

fc-cache -f

